# Daemon

## Build
```
mkdir build
cd build
cmake ..
make
```

### Tests
To build tests just set the `ENABLE_TESTS` variable to true and rebuild the program.
```
cmake .. -DENABLE_TESTS=true
make
```

## Run
Currently the first argument is the network interface for the sniffer.
```
bin/ccats lo
```

### Tests
```
make test
```

## Installation

After building the program copy executable:
```
sudo cp bin/ccats /usr/bin
```


Copy service file:
```
sudo cp ccats.service /etc/systemd/system/
```

Enable and start service with:
```
sudo systemctl enable ccats.service
```
and start it
```
sudo systemctl start ccats.service
```
